#include <stdio.h>

int main()
{
    long long int n, l, i, p;
    scanf("%lld", &n);
    scanf("%lld", &l);
    long long int a[n];

    for(i=0, p=-1; i<n; i++)
    {
        scanf("%lld", &a[i]);
        
        if(l >= a[i])
        {
            p=i+1;
            break;
        }
    }
    printf("%lld", p);

}